
QGIS Application - Bug report #4007

Building t2tdoc fails on Windows: 'TEXINPUTS' is not recognized as an internal or external command

2011-06-20 06:23 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 13994

Description

I'm on Windows, using MSVC.  Is there any other information I should provide?

Here's the error message:

1>------ Build started: Project: t2tdoc, Configuration: RelWithDebInfo Win32 ------

1>Building C:/OSGeo4W/building/git.building/doc/CODING.pdf from C:/OSGeo4W/building/git.building/doc/CODING.tex

1>'TEXINPUTS' is not recognized as an internal or external command,

1>operable program or batch file.

1>Project : error PRJ0019: A tool returned an error code from "Building C:/OSGeo4W/building/git.building/doc/CODING.pdf from

C:/OSGeo4W/building/git.building/doc/CODING.tex" 

1>Build log was saved at "file://c:\\OSGeo4W\\building\\git.building\\doc\\t2tdoc.dir\\RelWithDebInfo\\BuildLog.htm" 

1>t2tdoc - 1 error(s), 0 warning(s)

This looks similar to http://code.google.com/p/waf/issues/detail?id=656

The fix for that was http://code.google.com/p/waf/source/detail?r=7663

History

#1 - 2011-06-20 10:15 PM - Alister Hood

- Priority changed from Low to Normal

#2 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#3 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#4 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#5 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#6 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-28 07:40 AM - Jürgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-12-03 06:13 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

Hello, bug triage...

do you still have the same problem on MS-Windows ?

I have tried to reproduce it under Debian. There seems to be a problem for txt2tags to generate PDF via Latex (pdflatex), at least on INSTALL.t2t (I've got a

fatal error from pdflatex but it is perhaps a problem with my Latex installation not having the necessaries files).

You can activate PDF generation with the CMake option WITH_TXT2TAGS_PDF as ON.

So was it a problem on the CODING.tex file (which has disappeared from QGIS master) or a problem with the MS-Windows build instructions, or even a

txt2tags MS-Windows installation ?

#9 - 2015-12-27 02:02 PM - Giovanni Manghi

what to do with this ticket? closing? leaving it open?

#10 - 2015-12-27 03:07 PM - Alister Hood

Ah, sorry.  If we don't have someone to reproduce I guess close it.

I don't have a windows build environment at the moment and aren't likely to have one soon.

#11 - 2015-12-27 04:15 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

ok, reopen if necessary.
